Update Limit
curl --request PUT \
--url https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/limit/{limitId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"action": "deny",
"priority": 0.8008281904610115,
"conditions": [
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
},
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
}
],
"enforcementPoint": [
"UI",
"UI"
],
"order": 6.027456183070403
}
'import requests
url = "https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/limit/{limitId}"
payload = {
"action": "deny",
"priority": 0.8008281904610115,
"conditions": [
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
},
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
}
],
"enforcementPoint": ["UI", "UI"],
"order": 6.027456183070403
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
action: 'deny',
priority: 0.8008281904610115,
conditions: [
{
priority: 1.4658129805029452,
operation: 'lessThan',
requirementType: 'kyc',
order: 5.962133916683182
},
{
priority: 1.4658129805029452,
operation: 'lessThan',
requirementType: 'kyc',
order: 5.962133916683182
}
],
enforcementPoint: ['UI', 'UI'],
order: 6.027456183070403
})
};
fetch('https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/limit/{limitId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "walletId",
"assetId": "assetId",
"tenantId": "tenantId",
"oprationLimit": {
"action": "deny",
"priority": 0.8008281904610115,
"conditions": [
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
},
{
"priority": 1.4658129805029452,
"operation": "lessThan",
"requirementType": "kyc",
"order": 5.962133916683182
}
],
"enforcementPoint": [
"UI",
"UI"
],
"order": 6.027456183070403
}
}{
"httpCode": 123,
"internalCode": 123,
"internalType": "<string>",
"severity": "<string>",
"description": "<string>"
}Limit
Update Limit
PUT
/
{walletId}
/
asset
/
{assetId}
/
operation
/
{operationId}
/
limit
/
{limitId}
Update Limit
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Sample Payload
Show child attributes
Show child attributes
Example:
{ "auditData": { "createdAt": "2000-01-23T04:56:07.000Z", "archivedAt": "2000-01-23T04:56:07.000Z", "deletedAt": "2000-01-23T04:56:07.000Z", "updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "updatedAt": "2000-01-23T04:56:07.000Z" }, "tenantId": "tenantId", "entityId": "", "ownerId": "ownerId" }
Highest the number highest priroty
order of condition in the group with same priority
Available options:
UI, Backend, Database Available options:
deny, allow_and_report, deny_and_report, ask_user, allow_once Show child attributes
Show child attributes
Response
successful operation
Show child attributes
Show child attributes
Example:
{ "action": "deny", "priority": 0.8008281904610115, "conditions": [ { "priority": 1.4658129805029452, "operation": "lessThan", "requirementType": "kyc", "order": 5.962133916683182 }, { "priority": 1.4658129805029452, "operation": "lessThan", "requirementType": "kyc", "order": 5.962133916683182 } ], "enforcementPoint": ["UI", "UI"], "order": 6.027456183070403 }
⌘I

